function yesno = isnumeric(P)

% ISNUMERIC -- check whether matrix polynomial has numerical coefficients
%
%       yesno = isnumeric(P)
%
% This is an extension of the built-in ISNUMERIC command to matrix polynomials.

% Copyright (c) 2004 by Fritz Keinert (keinert@iastate.edu),
% Dept. of Mathematics, Iowa State University, Ames, IA 50011.
% This software may be freely used and distributed for non-commercial
% purposes, provided this copyright statement is preserved, and
% appropriate credit for its use is given.
%
% Last update: Feb 20, 2004

yesno = isnumeric(P.coef);
