function yesno = issymbolic(P)

% ISSYMBOLIC -- check whether matrix polynomial contains symbolic variables
%
%       yesno = issymbolic(P)
%
% This is NOT the converse of ISNUMERIC. The purpose of this routine is to 
% distinguish a matrix whose entries are symbolic constants
% from a matrix which contains symbolic variables.

% Copyright (c) 2004 by Fritz Keinert (keinert@iastate.edu),
% Dept. of Mathematics, Iowa State University, Ames, IA 50011.
% This software may be freely used and distributed for non-commercial
% purposes, provided this copyright statement is preserved, and
% appropriate credit for its use is given.
%
% Last update: Feb 20, 2004

yesno = issymbolic(P.coef);
