% TEST_ALL -- run all tests for MPOLY and MW in a row

% Copyright (c) 2004 by Fritz Keinert (keinert@iastate.edu),
% Dept. of Mathematics, Iowa State University, Ames, IA 50011.
% This software may be freely used and distributed for non-commercial
% purposes, provided this copyright statement is preserved, and
% appropriate credit for its use is given.
%
% Last update: Feb 20, 2004

disp(' ');
disp('#################');
disp('#  test_double  #');
disp('#################');
disp(' ');

test_double

disp(' ');
disp('##############');
disp('#  test_sym  #');
disp('##############');
disp(' ');

test_sym

disp(' ');
disp('##########################');
disp('#  test_mpoly_numerical  #');
disp('##########################');
disp(' ');

test_mpoly_numerical

disp(' ');
disp('#########################');
disp('#  test_mpoly_symbolic  #');
disp('#########################');
disp(' ');

test_mpoly_symbolic

disp(' ');
disp('#############');
disp('#  test_mw  #');
disp('#############');
disp(' ');

test_mw
